# Card authorization policy config sub-object

The config object contains the rules and limits that define what transactions are allowed or blocked.

### Object Parameters

- `allowed_merchant_category_codes` `array of strings` — List of allowed merchant category codes (MCCs). If specified, only transactions with these MCCs will be allowed
- `allowed_merchant_country_codes` `array of strings` — List of allowed merchant country codes. If specified, only transactions from these countries will be allowed
- `allowed_merchant_currency_codes` `array of strings` — List of allowed merchant currency codes. If specified, only transactions in these currencies will be allowed
- `allowed_merchant_ids` `array of strings` — List of allowed merchant identifiers. If specified, only transactions from these specific merchants will be allowed. Each identifier must be ASCII and at most 15 characters
- `blocked_merchant_category_codes` `array of strings` — List of blocked merchant category codes (MCCs). Transactions with these MCCs will be declined
- `blocked_merchant_country_codes` `array of strings` — List of blocked merchant country codes. Transactions from these countries will be declined
- `blocked_merchant_currency_codes` `array of strings` — List of blocked merchant currency codes. Transactions in these currencies will be declined
- `blocked_merchant_ids` `array of strings` — List of blocked merchant identifiers. Transactions from these specific merchants will be declined. Each identifier must be ASCII and at most 15 characters
- `card_spend_policies` `array of objects` — List of spend policies that define volume and frequency limits See [Card spend policy sub-object](/api/card-authorization-policy/card-spend-policy-sub-object).

**Response 200**

```json
{
  "allowed_merchant_category_codes": [
    "5411",
    "5912"
  ],
  "allowed_merchant_country_codes": [
    null
  ],
  "allowed_merchant_currency_codes": [
    "USD"
  ],
  "allowed_merchant_ids": [
    null
  ],
  "blocked_merchant_category_codes": [
    "7995"
  ],
  "blocked_merchant_country_codes": [
    null
  ],
  "blocked_merchant_currency_codes": [
    "EUR"
  ],
  "blocked_merchant_ids": [
    null
  ],
  "card_spend_policies": [
    {
      "interval": "transaction",
      "number_of_transactions": 10,
      "scope": "card_program",
      "total_volume": 100000
    }
  ]
}
```
